# dummy_land.cpp File Reference

Handling of void (or dummy) tiles. More...

`#include "stdafx.h"`
`#include "tile_cmd.h"`
`#include "command_func.h"`
`#include "viewport_func.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Functions
static void | DrawTile_Dummy (TileInfo *ti)
static uint | GetSlopeZ_Dummy (TileIndex tile, uint x, uint y)
static Foundation | GetFoundation_Dummy (TileIndex tile, Slope tileh)
static CommandCost | ClearTile_Dummy (TileIndex tile, DoCommandFlag flags)
static void | GetTileDesc_Dummy (TileIndex tile, TileDesc *td)
static void | TileLoop_Dummy (TileIndex tile)
static void | ChangeTileOwner_Dummy (TileIndex tile, Owner old_owner, Owner new_owner)
static TrackStatus | GetTileTrackStatus_Dummy (TileIndex tile, TransportType mode, uint sub_mode, DiagDirection side)
static CommandCost | TerraformTile_Dummy (TileIndex tile, DoCommandFlag flags, uint z_new, Slope tileh_new)
## Variables
const TileTypeProcs | _tile_type_dummy_procs

## Detailed Description

Handling of void (or dummy) tiles.

Definition in file dummy_land.cpp.

## Variable Documentation

const TileTypeProcs _tile_type_dummy_procs

Initial value:

     {
      DrawTile_Dummy,
      GetSlopeZ_Dummy,
      ClearTile_Dummy,
      NULL,
      GetTileDesc_Dummy,
      GetTileTrackStatus_Dummy,
      NULL,
      NULL,
      TileLoop_Dummy,
      ChangeTileOwner_Dummy,
      NULL,
      NULL,
      GetFoundation_Dummy,
      TerraformTile_Dummy,
    }